PDO::getAttribute
PDO::lastInsertId
PDO
PHP Manual

# PDO::getAvailableDrivers

(PHP 5 >= 5.1.3, PECL pdo >= 1.0.3)

PDO::getAvailableDrivers — Return an array of available PDO drivers

### Description

array PDO::getAvailableDrivers ( void )
array pdo_drivers ( void )

This function returns all currently available PDO drivers which can be used in `DSN` parameter of PDO::__construct(). This is a static method.

### Return Values

PDO::getAvailableDrivers() returns an array of PDO driver names. If no drivers are available, it returns an empty array.

### Examples

Example #1 A PDO::getAvailableDrivers() example

`<?php
print_r(PDO::getAvailableDrivers());
?>`

The above example will output something similar to:

    Array
    (
        [0] => mysql
        [1] => sqlite
    )

PDO::getAttribute
PDO::lastInsertId
PDO
PHP Manual